CRAN Package Check Results for Package raster

Last updated on 2022-05-26 02:50:18 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 3.5-15 231.41 490.56 721.97 WARN
r-devel-linux-x86_64-debian-gcc 3.5-15 186.95 359.62 546.57 OK
r-devel-linux-x86_64-fedora-clang 3.5-15 947.45 WARN
r-devel-linux-x86_64-fedora-gcc 3.5-15 872.33 OK
r-devel-windows-x86_64 3.5-15 383.00 524.00 907.00 NOTE
r-patched-linux-x86_64 3.5-15 230.53 460.83 691.36 OK
r-release-linux-x86_64 3.5-15 OK
r-release-macos-arm64 3.5-15 7.00 ERROR
r-release-macos-x86_64 3.5-15 259.00 NOTE
r-release-windows-x86_64 3.5-15 374.00 529.00 903.00 NOTE
r-oldrel-macos-arm64 3.5-15 160.00 NOTE
r-oldrel-macos-x86_64 3.5-15 261.00 NOTE
r-oldrel-windows-ix86+x86_64 3.5-15 541.00 712.00 1253.00 NOTE

Additional issues

clang14

Check Details

Version: 3.5-15
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     clamp.cpp:23:9: warning: use of bitwise '|' with boolean operands [-Wbitwise-instead-of-logical]
     reclass.cpp:54:11: warning: use of bitwise '&' with boolean operands [-Wbitwise-instead-of-logical]
     reclass.cpp:86:12: warning: use of bitwise '&' with boolean operands [-Wbitwise-instead-of-logical]
     reclass.cpp:102:12: warning: use of bitwise '&' with boolean operands [-Wbitwise-instead-of-logical]
     reclass.cpp:132:12: warning: use of bitwise '&' with boolean operands [-Wbitwise-instead-of-logical]
     reclass.cpp:148:12: warning: use of bitwise '&' with boolean operands [-Wbitwise-instead-of-logical]
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-fedora-clang

Version: 3.5-15
Check: installed package size
Result: NOTE
     installed size is 9.2Mb
     sub-directories of 1Mb or more:
     R 3.1Mb
     libs 5.1Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-x86_64, r-release-macos-x86_64, r-release-windows-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 3.5-15
Check: package dependencies
Result: ERROR
    Package required and available but unsuitable version: ‘terra’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-macos-arm64